%set_verify_elf_method skip

Name: 	  pantum-101
Version:  1.1.101
Release:  alt2
Summary:  Pantum drivers (v%version)
License: distributable
Group: System/Configuration
Source0: pantum-%version.tgz
Source1: ptps-101.bpatch

Conflicts: pantum

Url: https://global.pantum.com/

Packager: Anton Shevtsov <shevtsov.anton@gmail.com>

BuildRequires: bsdiff
Requires: cups sane libcups libjpeg8
#ipp-usb
AutoReqProv: no

BuildArch: x86_64

%description 
CUPS and SANE drivers (v%version) for Pantum series printer and scanner.

%prep
%setup -v -n pantum-%version
bspatch usr/lib/cups/filter/ptps usr/lib/cups/filter/ptps %SOURCE1


%install
#etc
mkdir -p %buildroot/%_sysconfdir/udev/rules.d/
mkdir -p %buildroot/%_sysconfdir/sane.d/dll.d/

#opt
mkdir -p %buildroot/opt/%name/{lib,bin}

#usr
mkdir -p %buildroot/%_usr/lib/cups/filter

mkdir -p %buildroot/%_libdir/sane

mkdir -p %buildroot/%_datadir/doc/%name
mkdir -p %buildroot/%_datadir/cups/model/Pantum

cp -Pr usr/* %buildroot/%_usr/
cp -Pr etc/* %buildroot/%_sysconfdir/

#mkdir -p %buildroot/%_udevrulesdir
#mkdir -p %buildroot/%_unitdir


%files
%exclude %_libexecdir/debug
%_sysconfdir/*
%_usr/*
%_libdir/sane/*
%_datadir/doc/*
%_datadir/cups/model/Pantum/*

%changelog
* Tue Aug 17 2023 Anton Shevtsov <shevtsov.anton@gmail.com> 1.1.101-alt2
- New repack
- New package name (with version)

* Mon Apr 10 2023 Anton Shevtsov <shevtsov.anton@gmail.com> 1.1.99-alt3
- Fix bugs

* Fri Mar 03 2023 Anton Shevtsov <shevtsov.anton@gmail.com> 1.1.99-alt2
- New version

* Fri Oct 07 2022 Anton Shevtsov <shevtsov.anton@gmail.com> 1.1.96-alt2
- Rename /etc/pantumhack to /etc/pantumwrap

* Wed Sep 21 2022 Anton Shevtsov <shevtsov.anton@gmail.com> 1.1.96-alt1
- New version

* Wed Sep 21 2022 Anton Shevtsov <shevtsov.anton@gmail.com> 1.1.94-alt2
- Add patch and /etc/pantumhack file

* Thu Sep 20 2022  Anton Shevtsov <shevtsov.anton@gmail.com> 1.1.94-alt1
- New version

* Wed Oct 27 2021  Anton Shevtsov <x09@altlinux.org> <shevtsov.anton@gmail.com> 1.1.84-alt2
- New version

* Mon Feb 3 2020 Anton Shevtsov <x09@altlinux.org> 1.1.5-alt2
- Repack from official DEB package for Ubuntu
